oracle.xml.xquery

## Class OXQEntityResolverRequestOptions

- java.lang.Object
- - oracle.xml.xquery.OXQEntityResolverRequestOptions

    public abstract class OXQEntityResolverRequestOptions
    extends java.lang.Object

Additional options for use when `resolving an entity`.

Since:
  12.1
See Also:
  `OXQEntityResolver`

### Field Summary

Fields
`static int` `NO_TIMEOUT` The timeout value that will be returned by `getTimeout()` if there is no timeout.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `getTimeout()` Gets the timeout.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_TIMEOUT

    public static final int NO_TIMEOUT

The timeout value that will be returned by `getTimeout()` if there is no timeout.

See Also:
  Constant Field Values

### Method Detail

#### getTimeout

    public abstract int getTimeout()

Gets the timeout. When possible, the entity resolver should fail when the time taken exceeds the timeout value.

Returns:
  the timeout value in milliseconds. If the value is equal to `NO_TIMEOUT`, there is no timeout

Copyright © 2003, 2020, Oracle and/or its affiliates.